import { Component, ViewEncapsulation } from '@angular/core';

import { BusStopService } from './busStop.service';
import { LocalDataSource } from 'ng2-smart-table';

@Component({
  selector: 'statement-table',
  encapsulation: ViewEncapsulation.None,
  styleUrls: ['./busStop.scss'],
  templateUrl: './busStop.html',
})
export class BusStop {

  query: string = '';

  settings = {
    add: {
      addButtonContent: '<i class="ion-ios-plus-outline"></i>',
      createButtonContent: '<i class="ion-checkmark"></i>',
      cancelButtonContent: '<i class="ion-close"></i>',
    },
    edit: {
      editButtonContent: '<i class="ion-edit"></i>',
      saveButtonContent: '<i class="ion-checkmark"></i>',
      cancelButtonContent: '<i class="ion-close"></i>',
    },
    delete: {
      deleteButtonContent: '<i class="ion-trash-a"></i>',
      confirmDelete: true
    },
    columns: {
      id: {
        title: 'ID',
        type: 'number'
      },
      road: {
        title: 'Назва дороги',
        type: 'string'
      },
      region: {
        title: 'Область',
        type: 'string'
      },
      locationRight: {
        title: 'Місцезнаходження, км+ справа',
        type: 'string'
      },
      locationLeft: {
        title: 'Місцезнаходження, км+ зліва',
        type: 'string'
      },
      state: {
        title: 'Технічний стан',
        type: 'number'
      }
    }
  };

  source: LocalDataSource = new LocalDataSource();

  constructor(protected service: BusStopService) {
    this.service.getData().then((data) => {
      this.source.load(data);
    });
  }

  onDeleteConfirm(event): void {
    if (window.confirm('Вы уверены что хотите удалить??')) {
      event.confirm.resolve();
    } else {
      event.confirm.reject();
    }
  }
}
