import {Injectable} from '@angular/core';
import { Headers, Http } from '@angular/http';

import 'rxjs/add/operator/toPromise';

import { BusStop } from './busStop';

@Injectable()
export class BusStopService {
  private url = 'http://localhost:5000/busstop';
  private headers = new Headers({'Content-Type': 'application/json'});
  constructor(private http: Http) { }
  getData(): Promise<BusStop[]> {
    return this.http.get(this.url)
      .toPromise()
      .then(response => response.json().busStopListDsM as BusStop[])
      .catch(this.handleError);
  }
  private handleError(error: any): Promise<any> {
    console.error('An error occured', error);
    return Promise.reject(error.message || error);
  }
}
