import { NgModule }      from '@angular/core';
import { CommonModule }  from '@angular/common';
import { FormsModule } from '@angular/forms';
import { NgaModule } from '../../theme/nga.module';
import { Ng2SmartTableModule } from 'ng2-smart-table';
import { AgGridModule } from 'ag-grid-ng2/main';

import { routing }       from './statements.routing';
import { Statements } from './statements.component';
import { BusStop } from './components/busStop/busStop.component';
import { BusStop2 } from './components/busStop2/busStop2.component';
import { EditorComponent } from '../../components/editor.component';
import { RendererComponent } from '../../components/renderer.component';
import { BusStopService } from './components/busStop/busStop.service';
import { BusStop2Service } from './components/busStop2/busStop2.service';

@NgModule({
  imports: [
    CommonModule,
    FormsModule,
    NgaModule,
    routing,
    Ng2SmartTableModule,
    AgGridModule.withComponents([
      BusStop2,
      EditorComponent,
      RendererComponent,
    ]),
  ],
  declarations: [
    Statements,
    BusStop,
    BusStop2,
    EditorComponent,
    RendererComponent,
  ],
  providers: [
    BusStopService,
    BusStop2Service
  ]
})
export class StatementsModule {
}
