import { Injectable } from '@angular/core';
import { Headers, Http } from '@angular/http';

import 'rxjs/add/operator/toPromise';

import { RegionSelectList } from '../models/regionselectlist';

@Injectable()
export class RegionSelectListService {
    private apiUrl = 'http://localhost:5000/directory/regionds';
    private headers = new Headers({'Content-Type': 'applicaton/json'});
    constructor(private http: Http) { }
    getModels(): Promise<RegionSelectList[]> {
        return this.http.get(this.apiUrl)
            .toPromise()
            .then(response => response.json().regionSelectListDsM as RegionSelectList[])
            .catch(this.handleError);
    }
    private handleError(error: any): Promise<any> {
        console.error('An error occured', error);
        return Promise.reject(error.message || error);
    }
}
