import { Injectable } from '@angular/core';
import { Headers, Http } from '@angular/http';

import 'rxjs/add/operator/toPromise';

import { StateCommonSelectList } from '../models/statecommonselectlist';

@Injectable()
export class StateCommonSelectListService {
    private apiUrl = 'http://localhost:5000/directory/statecommonds';
    private headers = new Headers({'Content-Type': 'applicaton/json'});
    constructor(private http: Http) { }
    getModels(): Promise<StateCommonSelectList[]> {
        return this.http.get(this.apiUrl)
            .toPromise()
            .then(response => response.json().stateCommonSelectListDsM as StateCommonSelectList[])
            .catch(this.handleError);
    }
    private handleError(error: any): Promise<any> {
        console.error('An error occured', error);
        return Promise.reject(error.message || error);
    }
}
